Subject: Re: Telneting/ftping to cygwin
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 18 Mar 2002 12:08:48 -0500

On Mon, Mar 11, 2002 at 01:54:48PM +0000, David Starks-Browning wrote:
>On Monday 11 Mar 02, Corinna Vinschen writes:
>> On Mon, Mar 11, 2002 at 10:18:47AM +0000, John Beranek wrote:
>> > Corinna Vinschen wrote:
>> > >On Fri, Mar 08, 2002 at 04:05:01PM +0000, Don Sharp wrote:
>> > >
>> > >>I can confirm that there is a problem. I telnetted from a linux box to
>> > >>my cygwin on NT4 setup which has an up to date cygwin1.dll (see cygcheck
>> > >>output)
>> > >>
>> > >>On the cygwin side I get a pop-up
>> > >>
>> > >>bash.exe "The application failed to initialise properly (0x0000022)
>
>> Well, a "me too" isn't actually helpful.  Helpful would be if
>> somebody who has that problem would debug that.  Gdb and strace
>> are your friend.
>
>I have the same problem.  I notice it's only been reported on NT 4.
>Corinna and Chris, are you unable to reproduce it on NT4, or are you
>not running NT 4?

It just occurred to me that this could be a protection problem, either
with the cygwin DLL or with one of the executables that are being run.

Do you have the same problem when you type in a command window:

  set CYGWIN=ntsec
  bash
  ls -l /bin/cygwin1.dll

?

You should see that cygwin1.dll is executable in this scenario.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/